﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Optimization;
using HeuristicLab.Persistence;

namespace HeuristicLab.Encodings.RealVectorEncoding {
  /// <summary>
  /// An interface which represents an operator for manipulating vectors of real-valued data.
  /// </summary>
  [StorableType("b5856823-55d2-4ace-b8a9-ac7457695dc5")]
  public interface IRealVectorManipulator : IRealVectorOperator, IManipulator {
    ILookupParameter<RealVector> RealVectorParameter { get; }
    IValueLookupParameter<DoubleMatrix> BoundsParameter { get; }
  }
}